BasicDataSourceMXBean (Apache Tomcat 10.1.14 API Documentation)

Package org.apache.tomcat.dbcp.dbcp2

## Interface BasicDataSourceMXBean

- All Superinterfaces:
    `DataSourceMXBean`
  All Known Implementing Classes:
    `BasicDataSource`, `BasicManagedDataSource`

      public interface BasicDataSourceMXBean
      extends DataSourceMXBean

  Interface to keep API compatibility. Methods listed here are not made available to JMX.

  As of 2.9.0, this interface extends `DataSourceMXBean`.

  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPassword()` | Deprecated. exposing password via JMX is an Information Exposure issue.

    - ### Methods inherited from interface org.apache.tomcat.dbcp.dbcp2.DataSourceMXBean

      `getAbandonedUsageTracking, getCacheState, getConnectionInitSqlsAsArray, getDefaultAutoCommit, getDefaultCatalog, getDefaultReadOnly, getDefaultSchema, getDefaultTransactionIsolation, getDisconnectionSqlCodesAsArray, getDriverClassName, getFastFailValidation, getInitialSize, getLifo, getLogAbandoned, getLogExpiredConnections, getMaxConnLifetimeMillis, getMaxIdle, getMaxOpenPreparedStatements, getMaxTotal, getMaxWaitMillis, getMinEvictableIdleTimeMillis, getMinIdle, getNumActive, getNumIdle, getNumTestsPerEvictionRun, getRemoveAbandonedOnBorrow, getRemoveAbandonedOnMaintenance, getRemoveAbandonedTimeout, getSoftMinEvictableIdleTimeMillis, getTestOnBorrow, getTestOnCreate, getTestWhileIdle, getTimeBetweenEvictionRunsMillis, getUrl, getUsername, getValidationQuery, getValidationQueryTimeout, isAccessToUnderlyingConnectionAllowed, isClearStatementPoolOnReturn, isClosed, isPoolPreparedStatements, restart, start`

- - ### Method Detail

    - #### getPassword

          @Deprecated
          String getPassword()

      Deprecated.
      exposing password via JMX is an Information Exposure issue.
      See `BasicDataSource.getPassword()`
      Returns:
        `BasicDataSource.getPassword()`